Pular para o conteúdo
PUT
/Website/{id}
curl --request PUT \
--url https://api.chatfood.app/Website/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "domainId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "path": "example", "name": "example", "weight": 1, "metricsEnabled": true, "utmCampaignValue": "example", "utmTermValue": "example", "utmContentValue": "example", "categories": [ { "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "weight": 1 } ] }'
id
required
string format: uuid
object
id
string format: uuid
createdAt
string format: date-time
updatedAt
string format: date-time
nullable
domainId
string format: uuid
path
string
nullable
name
string
nullable
weight
integer format: int32
metricsEnabled
boolean
nullable
utmCampaignValue
string
nullable
utmTermValue
string
nullable
utmContentValue
string
nullable
categories
Array<object>
nullable
object
categoryId
string format: uuid
weight
integer format: int32
nullable
Examplegenerated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z",
"domainId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"path": "example",
"name": "example",
"weight": 1,
"metricsEnabled": true,
"utmCampaignValue": "example",
"utmTermValue": "example",
"utmContentValue": "example",
"categories": [
{
"categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"weight": 1
}
]
}

OK